<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: R frontend for Spark</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>
<h1> R frontend for Spark
<img class="toplogo" src="../../../doc/html/logo.jpg" alt="[R logo]">
</h1>
<hr>
<div align="center">
<a href="../../../doc/html/packages.html"><img src="../../../doc/html/left.jpg" alt="[Up]" width="30" height="30" border="0"></a>
<a href="../../../doc/html/index.html"><img src="../../../doc/html/up.jpg" alt="[Top]" width="30" height="30" border="0"></a>
</div><h2>Documentation for package &lsquo;SparkR&rsquo; version 1.6.1</h2>

<ul><li><a href="../DESCRIPTION">DESCRIPTION file</a>.</li>
</ul>

<h2>Help Pages</h2>


<p align="center">
<a href="#A">A</a>
<a href="#B">B</a>
<a href="#C">C</a>
<a href="#D">D</a>
<a href="#E">E</a>
<a href="#F">F</a>
<a href="#G">G</a>
<a href="#H">H</a>
<a href="#I">I</a>
<a href="#J">J</a>
<a href="#K">K</a>
<a href="#L">L</a>
<a href="#M">M</a>
<a href="#N">N</a>
<a href="#O">O</a>
<a href="#P">P</a>
<a href="#Q">Q</a>
<a href="#R">R</a>
<a href="#S">S</a>
<a href="#T">T</a>
<a href="#U">U</a>
<a href="#V">V</a>
<a href="#W">W</a>
<a href="#Y">Y</a>
<a href="#misc">misc</a>
</p>


<h2><a name="A">-- A --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="abs.html">abs</a></td>
<td>abs</td></tr>
<tr><td width="25%"><a href="acos.html">acos</a></td>
<td>acos</td></tr>
<tr><td width="25%"><a href="add_months.html">add_months</a></td>
<td>add_months</td></tr>
<tr><td width="25%"><a href="agg.html">agg</a></td>
<td>Summarize data across columns</td></tr>
<tr><td width="25%"><a href="summarize.html">agg</a></td>
<td>summarize</td></tr>
<tr><td width="25%"><a href="alias.html">alias</a></td>
<td>alias</td></tr>
<tr><td width="25%"><a href="approxCountDistinct.html">approxCountDistinct</a></td>
<td>approxCountDistinct</td></tr>
<tr><td width="25%"><a href="arrange.html">arrange</a></td>
<td>Arrange</td></tr>
<tr><td width="25%"><a href="array_contains.html">array_contains</a></td>
<td>array_contains</td></tr>
<tr><td width="25%"><a href="as.data.frame.html">as.data.frame</a></td>
<td>Download data from a DataFrame into a data.frame</td></tr>
<tr><td width="25%"><a href="as.data.frame.html">as.data.frame-method</a></td>
<td>Download data from a DataFrame into a data.frame</td></tr>
<tr><td width="25%"><a href="createDataFrame.html">as.DataFrame</a></td>
<td>Create a DataFrame</td></tr>
<tr><td width="25%"><a href="column.html">asc</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="ascii.html">ascii</a></td>
<td>ascii</td></tr>
<tr><td width="25%"><a href="asin.html">asin</a></td>
<td>asin</td></tr>
<tr><td width="25%"><a href="atan.html">atan</a></td>
<td>atan</td></tr>
<tr><td width="25%"><a href="atan2.html">atan2</a></td>
<td>atan2</td></tr>
<tr><td width="25%"><a href="attach.html">attach</a></td>
<td>Attach DataFrame to R search path</td></tr>
<tr><td width="25%"><a href="attach.html">attach-method</a></td>
<td>Attach DataFrame to R search path</td></tr>
<tr><td width="25%"><a href="avg.html">avg</a></td>
<td>avg</td></tr>
</table>

<h2><a name="B">-- B --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="base64.html">base64</a></td>
<td>base64</td></tr>
<tr><td width="25%"><a href="between.html">between</a></td>
<td>between</td></tr>
<tr><td width="25%"><a href="column.html">between</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="bin.html">bin</a></td>
<td>bin</td></tr>
<tr><td width="25%"><a href="bitwiseNOT.html">bitwiseNOT</a></td>
<td>bitwiseNOT</td></tr>
</table>

<h2><a name="C">-- C --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="cache.html">cache</a></td>
<td>Cache</td></tr>
<tr><td width="25%"><a href="cacheTable.html">cacheTable</a></td>
<td>Cache Table</td></tr>
<tr><td width="25%"><a href="cancelJobGroup.html">cancelJobGroup</a></td>
<td>Cancel active jobs for the specified group</td></tr>
<tr><td width="25%"><a href="cast.html">cast</a></td>
<td>Casts the column to a different data type.</td></tr>
<tr><td width="25%"><a href="column.html">cast</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="cbrt.html">cbrt</a></td>
<td>cbrt</td></tr>
<tr><td width="25%"><a href="ceil.html">ceil</a></td>
<td>ceil</td></tr>
<tr><td width="25%"><a href="ceil.html">ceiling</a></td>
<td>ceil</td></tr>
<tr><td width="25%"><a href="clearCache.html">clearCache</a></td>
<td>Clear Cache</td></tr>
<tr><td width="25%"><a href="clearJobGroup.html">clearJobGroup</a></td>
<td>Clear current job group ID and its description</td></tr>
<tr><td width="25%"><a href="col.html">col</a></td>
<td>Though scala functions has "col" function, we don't expose it in SparkR because we don't want to conflict with the "col" function in the R base package and we also have "column" function exported which is an alias of "col".</td></tr>
<tr><td width="25%"><a href="collect.html">collect</a></td>
<td>Collects all the elements of a Spark DataFrame and coerces them into an R data.frame.</td></tr>
<tr><td width="25%"><a href="columns.html">colnames</a></td>
<td>Column names</td></tr>
<tr><td width="25%"><a href="columns.html">colnames&lt;-</a></td>
<td>Column names</td></tr>
<tr><td width="25%"><a href="coltypes.html">coltypes</a></td>
<td>coltypes</td></tr>
<tr><td width="25%"><a href="coltypes.html">coltypes&lt;-</a></td>
<td>coltypes</td></tr>
<tr><td width="25%"><a href="col.html">column</a></td>
<td>Though scala functions has "col" function, we don't expose it in SparkR because we don't want to conflict with the "col" function in the R base package and we also have "column" function exported which is an alias of "col".</td></tr>
<tr><td width="25%"><a href="column.html">Column-class</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="columns.html">columns</a></td>
<td>Column names</td></tr>
<tr><td width="25%"><a href="schema.html">columns</a></td>
<td>Get schema object</td></tr>
<tr><td width="25%"><a href="concat.html">concat</a></td>
<td>concat</td></tr>
<tr><td width="25%"><a href="concat_ws.html">concat_ws</a></td>
<td>concat_ws</td></tr>
<tr><td width="25%"><a href="column.html">contains</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="conv.html">conv</a></td>
<td>conv</td></tr>
<tr><td width="25%"><a href="corr.html">corr</a></td>
<td>corr</td></tr>
<tr><td width="25%"><a href="statfunctions.html">corr</a></td>
<td>crosstab</td></tr>
<tr><td width="25%"><a href="cos.html">cos</a></td>
<td>cos</td></tr>
<tr><td width="25%"><a href="cosh.html">cosh</a></td>
<td>cosh</td></tr>
<tr><td width="25%"><a href="count.html">count</a></td>
<td>count</td></tr>
<tr><td width="25%"><a href="nrow.html">count</a></td>
<td>nrow</td></tr>
<tr><td width="25%"><a href="agg.html">count-method</a></td>
<td>Summarize data across columns</td></tr>
<tr><td width="25%"><a href="countDistinct.html">countDistinct</a></td>
<td>Count Distinct</td></tr>
<tr><td width="25%"><a href="statfunctions.html">cov</a></td>
<td>crosstab</td></tr>
<tr><td width="25%"><a href="crc32.html">crc32</a></td>
<td>crc32</td></tr>
<tr><td width="25%"><a href="createDataFrame.html">createDataFrame</a></td>
<td>Create a DataFrame</td></tr>
<tr><td width="25%"><a href="createExternalTable.html">createExternalTable</a></td>
<td>Create an external table</td></tr>
<tr><td width="25%"><a href="statfunctions.html">crosstab</a></td>
<td>crosstab</td></tr>
<tr><td width="25%"><a href="cume_dist.html">cume_dist</a></td>
<td>cume_dist</td></tr>
</table>

<h2><a name="D">-- D --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="DataFrame.html">dataFrame</a></td>
<td>S4 class that represents a DataFrame</td></tr>
<tr><td width="25%"><a href="DataFrame.html">DataFrame-class</a></td>
<td>S4 class that represents a DataFrame</td></tr>
<tr><td width="25%"><a href="datediff.html">datediff</a></td>
<td>datediff</td></tr>
<tr><td width="25%"><a href="date_add.html">date_add</a></td>
<td>date_add</td></tr>
<tr><td width="25%"><a href="date_format.html">date_format</a></td>
<td>date_format</td></tr>
<tr><td width="25%"><a href="date_sub.html">date_sub</a></td>
<td>date_sub</td></tr>
<tr><td width="25%"><a href="dayofmonth.html">dayofmonth</a></td>
<td>dayofmonth</td></tr>
<tr><td width="25%"><a href="dayofyear.html">dayofyear</a></td>
<td>dayofyear</td></tr>
<tr><td width="25%"><a href="decode.html">decode</a></td>
<td>decode</td></tr>
<tr><td width="25%"><a href="dense_rank.html">dense_rank</a></td>
<td>dense_rank</td></tr>
<tr><td width="25%"><a href="column.html">desc</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="summary.html">describe</a></td>
<td>summary</td></tr>
<tr><td width="25%"><a href="dim.html">dim</a></td>
<td>Returns the dimentions (number of rows and columns) of a DataFrame</td></tr>
<tr><td width="25%"><a href="distinct.html">distinct</a></td>
<td>Distinct</td></tr>
<tr><td width="25%"><a href="nafunctions.html">dropna</a></td>
<td>dropna</td></tr>
<tr><td width="25%"><a href="dropTempTable.html">dropTempTable</a></td>
<td>Drop Temporary Table</td></tr>
<tr><td width="25%"><a href="dtypes.html">dtypes</a></td>
<td>DataTypes</td></tr>
<tr><td width="25%"><a href="schema.html">dtypes</a></td>
<td>Get schema object</td></tr>
</table>

<h2><a name="E">-- E --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="encode.html">encode</a></td>
<td>encode</td></tr>
<tr><td width="25%"><a href="column.html">endsWith</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="except.html">except</a></td>
<td>except</td></tr>
<tr><td width="25%"><a href="exp.html">exp</a></td>
<td>exp</td></tr>
<tr><td width="25%"><a href="explain.html">explain</a></td>
<td>Explain</td></tr>
<tr><td width="25%"><a href="explode.html">explode</a></td>
<td>explode</td></tr>
<tr><td width="25%"><a href="expm1.html">expm1</a></td>
<td>expm1</td></tr>
<tr><td width="25%"><a href="expr.html">expr</a></td>
<td>expr</td></tr>
</table>

<h2><a name="F">-- F --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="factorial.html">factorial</a></td>
<td>factorial</td></tr>
<tr><td width="25%"><a href="nafunctions.html">fillna</a></td>
<td>dropna</td></tr>
<tr><td width="25%"><a href="filter.html">filter</a></td>
<td>Filter</td></tr>
<tr><td width="25%"><a href="first.html">first</a></td>
<td>Return the first row of a DataFrame</td></tr>
<tr><td width="25%"><a href="floor.html">floor</a></td>
<td>floor</td></tr>
<tr><td width="25%"><a href="format_number.html">format_number</a></td>
<td>format_number</td></tr>
<tr><td width="25%"><a href="format_string.html">format_string</a></td>
<td>format_string</td></tr>
<tr><td width="25%"><a href="statfunctions.html">freqItems</a></td>
<td>crosstab</td></tr>
<tr><td width="25%"><a href="from_unixtime.html">from_unixtime</a></td>
<td>from_unixtime</td></tr>
<tr><td width="25%"><a href="from_utc_timestamp.html">from_utc_timestamp</a></td>
<td>from_utc_timestamp</td></tr>
</table>

<h2><a name="G">-- G --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="generateAliasesForIntersectedCols.html">generateAliasesForIntersectedCols</a></td>
<td>Creates a list of columns by replacing the intersected ones with aliases. The name of the alias column is formed by concatanating the original column name and a suffix.</td></tr>
<tr><td width="25%"><a href="column.html">getField</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="column.html">getItem</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="glm.html">glm</a></td>
<td>Fits a generalized linear model</td></tr>
<tr><td width="25%"><a href="glm.html">glm-method</a></td>
<td>Fits a generalized linear model</td></tr>
<tr><td width="25%"><a href="greatest.html">greatest</a></td>
<td>greatest</td></tr>
<tr><td width="25%"><a href="groupBy.html">groupBy</a></td>
<td>GroupBy</td></tr>
<tr><td width="25%"><a href="DataFrame.html">groupedData</a></td>
<td>S4 class that represents a DataFrame</td></tr>
<tr><td width="25%"><a href="GroupedData.html">GroupedData-class</a></td>
<td>S4 class that represents a GroupedData</td></tr>
<tr><td width="25%"><a href="groupBy.html">group_by</a></td>
<td>GroupBy</td></tr>
</table>

<h2><a name="H">-- H --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="hashCode.html">hashCode</a></td>
<td>Compute the hashCode of an object</td></tr>
<tr><td width="25%"><a href="head.html">head</a></td>
<td>Head</td></tr>
<tr><td width="25%"><a href="hex.html">hex</a></td>
<td>hex</td></tr>
<tr><td width="25%"><a href="hour.html">hour</a></td>
<td>hour</td></tr>
<tr><td width="25%"><a href="hypot.html">hypot</a></td>
<td>hypot</td></tr>
</table>

<h2><a name="I">-- I --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="ifelse.html">ifelse</a></td>
<td>ifelse</td></tr>
<tr><td width="25%"><a href="infer_type.html">infer_type</a></td>
<td>infer the SQL type</td></tr>
<tr><td width="25%"><a href="initcap.html">initcap</a></td>
<td>initcap</td></tr>
<tr><td width="25%"><a href="insertInto.html">insertInto</a></td>
<td>insertInto</td></tr>
<tr><td width="25%"><a href="instr.html">instr</a></td>
<td>instr</td></tr>
<tr><td width="25%"><a href="intersect.html">intersect</a></td>
<td>Intersect</td></tr>
<tr><td width="25%"><a href="is.nan.html">is.nan</a></td>
<td>is.nan</td></tr>
<tr><td width="25%"><a href="isLocal.html">isLocal</a></td>
<td>isLocal</td></tr>
<tr><td width="25%"><a href="column.html">isNaN</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="is.nan.html">isnan</a></td>
<td>is.nan</td></tr>
<tr><td width="25%"><a href="column.html">isNotNull</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="column.html">isNull</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
</table>

<h2><a name="J">-- J --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="join.html">join</a></td>
<td>Join</td></tr>
<tr><td width="25%"><a href="read.json.html">jsonFile</a></td>
<td>Create a DataFrame from a JSON file.</td></tr>
</table>

<h2><a name="K">-- K --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="kurtosis.html">kurtosis</a></td>
<td>kurtosis</td></tr>
</table>

<h2><a name="L">-- L --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="lag.html">lag</a></td>
<td>lag</td></tr>
<tr><td width="25%"><a href="last.html">last</a></td>
<td>last</td></tr>
<tr><td width="25%"><a href="last_day.html">last_day</a></td>
<td>last_day</td></tr>
<tr><td width="25%"><a href="lead.html">lead</a></td>
<td>lead</td></tr>
<tr><td width="25%"><a href="least.html">least</a></td>
<td>least</td></tr>
<tr><td width="25%"><a href="length.html">length</a></td>
<td>length</td></tr>
<tr><td width="25%"><a href="levenshtein.html">levenshtein</a></td>
<td>levenshtein</td></tr>
<tr><td width="25%"><a href="column.html">like</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="limit.html">limit</a></td>
<td>Limit</td></tr>
<tr><td width="25%"><a href="lit.html">lit</a></td>
<td>lit</td></tr>
<tr><td width="25%"><a href="read.df.html">loadDF</a></td>
<td>Load an DataFrame</td></tr>
<tr><td width="25%"><a href="locate.html">locate</a></td>
<td>locate</td></tr>
<tr><td width="25%"><a href="log.html">log</a></td>
<td>log</td></tr>
<tr><td width="25%"><a href="log10.html">log10</a></td>
<td>log10</td></tr>
<tr><td width="25%"><a href="log1p.html">log1p</a></td>
<td>log1p</td></tr>
<tr><td width="25%"><a href="log2.html">log2</a></td>
<td>log2</td></tr>
<tr><td width="25%"><a href="lower.html">lower</a></td>
<td>lower</td></tr>
<tr><td width="25%"><a href="lpad.html">lpad</a></td>
<td>lpad</td></tr>
<tr><td width="25%"><a href="ltrim.html">ltrim</a></td>
<td>ltrim</td></tr>
</table>

<h2><a name="M">-- M --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="max.html">max</a></td>
<td>max</td></tr>
<tr><td width="25%"><a href="md5.html">md5</a></td>
<td>md5</td></tr>
<tr><td width="25%"><a href="mean.html">mean</a></td>
<td>mean</td></tr>
<tr><td width="25%"><a href="merge.html">merge</a></td>
<td>Merges two data frames</td></tr>
<tr><td width="25%"><a href="min.html">min</a></td>
<td>min</td></tr>
<tr><td width="25%"><a href="minute.html">minute</a></td>
<td>minute</td></tr>
<tr><td width="25%"><a href="month.html">month</a></td>
<td>month</td></tr>
<tr><td width="25%"><a href="months_between.html">months_between</a></td>
<td>months_between</td></tr>
<tr><td width="25%"><a href="mutate.html">mutate</a></td>
<td>Mutate</td></tr>
</table>

<h2><a name="N">-- N --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="count.html">n</a></td>
<td>count</td></tr>
<tr><td width="25%"><a href="nafunctions.html">na.omit</a></td>
<td>dropna</td></tr>
<tr><td width="25%"><a href="columns.html">names</a></td>
<td>Column names</td></tr>
<tr><td width="25%"><a href="columns.html">names&lt;-</a></td>
<td>Column names</td></tr>
<tr><td width="25%"><a href="nanvl.html">nanvl</a></td>
<td>nanvl</td></tr>
<tr><td width="25%"><a href="ncol.html">ncol</a></td>
<td>Returns the number of columns in a DataFrame</td></tr>
<tr><td width="25%"><a href="negate.html">negate</a></td>
<td>negate</td></tr>
<tr><td width="25%"><a href="next_day.html">next_day</a></td>
<td>next_day</td></tr>
<tr><td width="25%"><a href="nrow.html">nrow</a></td>
<td>nrow</td></tr>
<tr><td width="25%"><a href="ntile.html">ntile</a></td>
<td>ntile</td></tr>
<tr><td width="25%"><a href="countDistinct.html">n_distinct</a></td>
<td>Count Distinct</td></tr>
</table>

<h2><a name="O">-- O --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="arrange.html">orderBy</a></td>
<td>Arrange</td></tr>
<tr><td width="25%"><a href="column.html">otherwise</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="otherwise.html">otherwise</a></td>
<td>otherwise</td></tr>
</table>

<h2><a name="P">-- P --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="read.parquet.html">parquetFile</a></td>
<td>Create a DataFrame from a Parquet file.</td></tr>
<tr><td width="25%"><a href="percent_rank.html">percent_rank</a></td>
<td>percent_rank</td></tr>
<tr><td width="25%"><a href="persist.html">persist</a></td>
<td>Persist</td></tr>
<tr><td width="25%"><a href="PipelineModel-class.html">PipelineModel-class</a></td>
<td>S4 class that represents a PipelineModel</td></tr>
<tr><td width="25%"><a href="pmod.html">pmod</a></td>
<td>pmod</td></tr>
<tr><td width="25%"><a href="predict.html">predict</a></td>
<td>Make predictions from a model</td></tr>
<tr><td width="25%"><a href="predict.html">predict-method</a></td>
<td>Make predictions from a model</td></tr>
<tr><td width="25%"><a href="print.jobj.html">print.jobj</a></td>
<td>Print a JVM object reference.</td></tr>
<tr><td width="25%"><a href="print.structField.html">print.structField</a></td>
<td>Print a Spark StructField.</td></tr>
<tr><td width="25%"><a href="print.structType.html">print.structType</a></td>
<td>Print a Spark StructType.</td></tr>
<tr><td width="25%"><a href="printSchema.html">printSchema</a></td>
<td>Print Schema of a DataFrame</td></tr>
<tr><td width="25%"><a href="schema.html">printSchema</a></td>
<td>Get schema object</td></tr>
</table>

<h2><a name="Q">-- Q --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="quarter.html">quarter</a></td>
<td>quarter</td></tr>
</table>

<h2><a name="R">-- R --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="rand.html">rand</a></td>
<td>rand</td></tr>
<tr><td width="25%"><a href="randn.html">randn</a></td>
<td>randn</td></tr>
<tr><td width="25%"><a href="rank.html">rank</a></td>
<td>rank</td></tr>
<tr><td width="25%"><a href="rbind.html">rbind</a></td>
<td>rbind</td></tr>
<tr><td width="25%"><a href="read.df.html">read.df</a></td>
<td>Load an DataFrame</td></tr>
<tr><td width="25%"><a href="read.json.html">read.json</a></td>
<td>Create a DataFrame from a JSON file.</td></tr>
<tr><td width="25%"><a href="read.parquet.html">read.parquet</a></td>
<td>Create a DataFrame from a Parquet file.</td></tr>
<tr><td width="25%"><a href="read.text.html">read.text</a></td>
<td>Create a DataFrame from a text file.</td></tr>
<tr><td width="25%"><a href="regexp_extract.html">regexp_extract</a></td>
<td>regexp_extract</td></tr>
<tr><td width="25%"><a href="regexp_replace.html">regexp_replace</a></td>
<td>regexp_replace</td></tr>
<tr><td width="25%"><a href="registerTempTable.html">registerTempTable</a></td>
<td>Register Temporary Table</td></tr>
<tr><td width="25%"><a href="rename.html">rename</a></td>
<td>rename</td></tr>
<tr><td width="25%"><a href="repartition.html">repartition</a></td>
<td>Repartition</td></tr>
<tr><td width="25%"><a href="reverse.html">reverse</a></td>
<td>reverse</td></tr>
<tr><td width="25%"><a href="rint.html">rint</a></td>
<td>rint</td></tr>
<tr><td width="25%"><a href="column.html">rlike</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="round.html">round</a></td>
<td>round</td></tr>
<tr><td width="25%"><a href="row_number.html">row_number</a></td>
<td>row_number</td></tr>
<tr><td width="25%"><a href="rpad.html">rpad</a></td>
<td>rpad</td></tr>
<tr><td width="25%"><a href="rtrim.html">rtrim</a></td>
<td>rtrim</td></tr>
</table>

<h2><a name="S">-- S --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="sample.html">sample</a></td>
<td>Sample</td></tr>
<tr><td width="25%"><a href="statfunctions.html">sampleBy</a></td>
<td>crosstab</td></tr>
<tr><td width="25%"><a href="sample.html">sample_frac</a></td>
<td>Sample</td></tr>
<tr><td width="25%"><a href="write.parquet.html">saveAsParquetFile</a></td>
<td>write.parquet</td></tr>
<tr><td width="25%"><a href="saveAsTable.html">saveAsTable</a></td>
<td>saveAsTable</td></tr>
<tr><td width="25%"><a href="write.df.html">saveDF</a></td>
<td>Save the contents of the DataFrame to a data source</td></tr>
<tr><td width="25%"><a href="schema.html">schema</a></td>
<td>Get schema object</td></tr>
<tr><td width="25%"><a href="sd.html">sd</a></td>
<td>sd</td></tr>
<tr><td width="25%"><a href="second.html">second</a></td>
<td>second</td></tr>
<tr><td width="25%"><a href="select.html">select</a></td>
<td>Select</td></tr>
<tr><td width="25%"><a href="select.html">select-method</a></td>
<td>Select</td></tr>
<tr><td width="25%"><a href="select.html">selectExpr</a></td>
<td>Select</td></tr>
<tr><td width="25%"><a href="selectExpr.html">selectExpr</a></td>
<td>SelectExpr</td></tr>
<tr><td width="25%"><a href="setJobGroup.html">setJobGroup</a></td>
<td>Assigns a group ID to all the jobs started by this thread until the group ID is set to a different value or cleared.</td></tr>
<tr><td width="25%"><a href="sha1.html">sha1</a></td>
<td>sha1</td></tr>
<tr><td width="25%"><a href="sha2.html">sha2</a></td>
<td>sha2</td></tr>
<tr><td width="25%"><a href="shiftLeft.html">shiftLeft</a></td>
<td>shiftLeft</td></tr>
<tr><td width="25%"><a href="shiftRight.html">shiftRight</a></td>
<td>shiftRight</td></tr>
<tr><td width="25%"><a href="shiftRightUnsigned.html">shiftRightUnsigned</a></td>
<td>shiftRightUnsigned</td></tr>
<tr><td width="25%"><a href="show.html">show</a></td>
<td>show</td></tr>
<tr><td width="25%"><a href="show.html">show-method</a></td>
<td>show</td></tr>
<tr><td width="25%"><a href="showDF.html">showDF</a></td>
<td>showDF</td></tr>
<tr><td width="25%"><a href="signum.html">sign</a></td>
<td>signum</td></tr>
<tr><td width="25%"><a href="signum.html">signum</a></td>
<td>signum</td></tr>
<tr><td width="25%"><a href="sin.html">sin</a></td>
<td>sin</td></tr>
<tr><td width="25%"><a href="sinh.html">sinh</a></td>
<td>sinh</td></tr>
<tr><td width="25%"><a href="size.html">size</a></td>
<td>size</td></tr>
<tr><td width="25%"><a href="skewness.html">skewness</a></td>
<td>skewness</td></tr>
<tr><td width="25%"><a href="sort_array.html">sort_array</a></td>
<td>sort_array</td></tr>
<tr><td width="25%"><a href="soundex.html">soundex</a></td>
<td>soundex</td></tr>
<tr><td width="25%"><a href="sparkR.init.html">sparkR.init</a></td>
<td>Initialize a new Spark Context.</td></tr>
<tr><td width="25%"><a href="sparkR.stop.html">sparkR.stop</a></td>
<td>Stop the Spark context.</td></tr>
<tr><td width="25%"><a href="sparkRHive.init.html">sparkRHive.init</a></td>
<td>Initialize a new HiveContext.</td></tr>
<tr><td width="25%"><a href="sparkRSQL.init.html">sparkRSQL.init</a></td>
<td>Initialize a new SQLContext.</td></tr>
<tr><td width="25%"><a href="sql.html">sql</a></td>
<td>SQL Query</td></tr>
<tr><td width="25%"><a href="sqrt.html">sqrt</a></td>
<td>sqrt</td></tr>
<tr><td width="25%"><a href="column.html">startsWith</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="sd.html">stddev</a></td>
<td>sd</td></tr>
<tr><td width="25%"><a href="stddev_pop.html">stddev_pop</a></td>
<td>stddev_pop</td></tr>
<tr><td width="25%"><a href="stddev_samp.html">stddev_samp</a></td>
<td>stddev_samp</td></tr>
<tr><td width="25%"><a href="str.html">str</a></td>
<td>Compactly display the structure of a dataset</td></tr>
<tr><td width="25%"><a href="struct.html">struct</a></td>
<td>struct</td></tr>
<tr><td width="25%"><a href="structField.html">structField</a></td>
<td>structField</td></tr>
<tr><td width="25%"><a href="structType.html">structType</a></td>
<td>structType</td></tr>
<tr><td width="25%"><a href="subset.html">subset</a></td>
<td>Subset</td></tr>
<tr><td width="25%"><a href="substr.html">substr</a></td>
<td>substr</td></tr>
<tr><td width="25%"><a href="substring_index.html">substring_index</a></td>
<td>substring_index</td></tr>
<tr><td width="25%"><a href="sum.html">sum</a></td>
<td>sum</td></tr>
<tr><td width="25%"><a href="sumDistinct.html">sumDistinct</a></td>
<td>sumDistinct</td></tr>
<tr><td width="25%"><a href="agg.html">summarize</a></td>
<td>Summarize data across columns</td></tr>
<tr><td width="25%"><a href="summarize.html">summarize</a></td>
<td>summarize</td></tr>
<tr><td width="25%"><a href="summary.html">summary</a></td>
<td>summary</td></tr>
<tr><td width="25%"><a href="summary.html">summary-method</a></td>
<td>summary</td></tr>
</table>

<h2><a name="T">-- T --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="table.html">table</a></td>
<td>Create a DataFrame from a SparkSQL Table</td></tr>
<tr><td width="25%"><a href="tableNames.html">tableNames</a></td>
<td>Table Names</td></tr>
<tr><td width="25%"><a href="tables.html">tables</a></td>
<td>Tables</td></tr>
<tr><td width="25%"><a href="take.html">take</a></td>
<td>Take the first NUM rows of a DataFrame and return a the results as a data.frame</td></tr>
<tr><td width="25%"><a href="tan.html">tan</a></td>
<td>tan</td></tr>
<tr><td width="25%"><a href="tanh.html">tanh</a></td>
<td>tanh</td></tr>
<tr><td width="25%"><a href="toDegrees.html">toDegrees</a></td>
<td>toDegrees</td></tr>
<tr><td width="25%"><a href="toRadians.html">toRadians</a></td>
<td>toRadians</td></tr>
<tr><td width="25%"><a href="to_date.html">to_date</a></td>
<td>to_date</td></tr>
<tr><td width="25%"><a href="to_utc_timestamp.html">to_utc_timestamp</a></td>
<td>to_utc_timestamp</td></tr>
<tr><td width="25%"><a href="mutate.html">transform</a></td>
<td>Mutate</td></tr>
<tr><td width="25%"><a href="translate.html">translate</a></td>
<td>translate</td></tr>
<tr><td width="25%"><a href="trim.html">trim</a></td>
<td>trim</td></tr>
</table>

<h2><a name="U">-- U --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="unbase64.html">unbase64</a></td>
<td>unbase64</td></tr>
<tr><td width="25%"><a href="uncacheTable.html">uncacheTable</a></td>
<td>Uncache Table</td></tr>
<tr><td width="25%"><a href="unhex.html">unhex</a></td>
<td>unhex</td></tr>
<tr><td width="25%"><a href="rbind.html">unionAll</a></td>
<td>rbind</td></tr>
<tr><td width="25%"><a href="distinct.html">unique</a></td>
<td>Distinct</td></tr>
<tr><td width="25%"><a href="unix_timestamp.html">unix_timestamp</a></td>
<td>unix_timestamp</td></tr>
<tr><td width="25%"><a href="unpersist-methods.html">unpersist</a></td>
<td>Unpersist</td></tr>
<tr><td width="25%"><a href="upper.html">upper</a></td>
<td>upper</td></tr>
</table>

<h2><a name="V">-- V --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="var.html">var</a></td>
<td>var</td></tr>
<tr><td width="25%"><a href="var.html">variance</a></td>
<td>var</td></tr>
<tr><td width="25%"><a href="var_pop.html">var_pop</a></td>
<td>var_pop</td></tr>
<tr><td width="25%"><a href="var_samp.html">var_samp</a></td>
<td>var_samp</td></tr>
</table>

<h2><a name="W">-- W --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="weekofyear.html">weekofyear</a></td>
<td>weekofyear</td></tr>
<tr><td width="25%"><a href="column.html">when</a></td>
<td>S4 class that represents a DataFrame column</td></tr>
<tr><td width="25%"><a href="when.html">when</a></td>
<td>when</td></tr>
<tr><td width="25%"><a href="filter.html">where</a></td>
<td>Filter</td></tr>
<tr><td width="25%"><a href="with.html">with</a></td>
<td>Evaluate a R expression in an environment constructed from a DataFrame</td></tr>
<tr><td width="25%"><a href="with.html">with-method</a></td>
<td>Evaluate a R expression in an environment constructed from a DataFrame</td></tr>
<tr><td width="25%"><a href="withColumn.html">withColumn</a></td>
<td>WithColumn</td></tr>
<tr><td width="25%"><a href="rename.html">withColumnRenamed</a></td>
<td>rename</td></tr>
<tr><td width="25%"><a href="write.df.html">write.df</a></td>
<td>Save the contents of the DataFrame to a data source</td></tr>
<tr><td width="25%"><a href="write.json.html">write.json</a></td>
<td>write.json</td></tr>
<tr><td width="25%"><a href="write.parquet.html">write.parquet</a></td>
<td>write.parquet</td></tr>
<tr><td width="25%"><a href="write.text.html">write.text</a></td>
<td>write.text</td></tr>
</table>

<h2><a name="Y">-- Y --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="year.html">year</a></td>
<td>year</td></tr>
</table>

<h2><a name="misc">-- misc --</a></h2>

<table width="100%">
<tr><td width="25%"><a href="select.html">$</a></td>
<td>Select</td></tr>
<tr><td width="25%"><a href="select.html">$&lt;-</a></td>
<td>Select</td></tr>
<tr><td width="25%"><a href="match.html">%in%</a></td>
<td>Match a column with given values.</td></tr>
<tr><td width="25%"><a href="subset.html">[</a></td>
<td>Subset</td></tr>
<tr><td width="25%"><a href="subset.html">[[</a></td>
<td>Subset</td></tr>
</table>
</body></html>
